﻿Imports System.ServiceModel.Activation
Imports System.ServiceModel
Imports System.ServiceModel.Description
Imports System.ServiceModel.Dispatcher
Imports System.ServiceModel.Channels
Imports System.Web.Services
Imports System.Web.Services.Protocols
Imports System.Xml
''' <summary>
''' Sample service to receieve case notification messages.
''' </summary>
''' <remarks>
''' This sample currently does not implement any authentication or authorization.
''' </remarks>
<AspNetCompatibilityRequirements(RequirementsMode:=AspNetCompatibilityRequirementsMode.Allowed), _
ServiceBehavior(Namespace:="urn:oasis:names:tc:legalxml-courtfiling:schema:xsd:CoreFilingMessage-4.0", AddressFilterMode:=AddressFilterMode.Any)>
Public Class DocumentNotificationReceiverService
    Implements IDocumentNotificationReceiverService

    Public Function ReceiveMessage(ByVal CoreFilingMessage As CoreFilingMessage_4_0) As MessageReceiptMessage2_4_0 Implements IDocumentNotificationReceiverService.ReceiveMessage
        '
        'Do something with the message
        '
        'pull some data from the message
        Dim objEntityOrganization As ECF40.OrganizationType = CoreFilingMessage.CoreFilingMessage.DocumentSubmitter.Item
        Dim strCourtOrgID As String = objEntityOrganization.OrganizationIdentification.IdentificationID.Value
        Dim strCourtName As String = objEntityOrganization.OrganizationName.Value


        'Create the response message
        Dim objReplyMessage As New MessageReceiptMessage2_4_0
        objReplyMessage.MessageReceiptMessage = New ECF40.MessageReceiptMessageType
        objReplyMessage.MessageReceiptMessage.CaseCourt = New ECF40.CourtType
        objReplyMessage.MessageReceiptMessage.CaseCourt.OrganizationIdentification = New ECF40.IdentificationType
        objReplyMessage.MessageReceiptMessage.CaseCourt.OrganizationIdentification.IdentificationID = New ECF40.string
        objReplyMessage.MessageReceiptMessage.CaseCourt.OrganizationIdentification.IdentificationID.Value = strCourtOrgID
        objReplyMessage.MessageReceiptMessage.CaseCourt.CourtName = New ECF40.TextType
        objReplyMessage.MessageReceiptMessage.CaseCourt.CourtName.Value = strCourtName
        ReDim objReplyMessage.MessageReceiptMessage.Error(0)
        objReplyMessage.MessageReceiptMessage.Error(0) = New ECF40.ErrorType
        objReplyMessage.MessageReceiptMessage.Error(0).ErrorCode = New ECF40.TextType
        objReplyMessage.MessageReceiptMessage.Error(0).ErrorText = New ECF40.TextType
        objReplyMessage.MessageReceiptMessage.Error(0).ErrorCode.Value = "0"
        objReplyMessage.MessageReceiptMessage.Error(0).ErrorText.Value = "No error"


        Return (objReplyMessage)

        'Note: If an error occurrs while processing a fault will be returned and our sending progam will begin its retry processing.

    End Function

End Class
